RC6.Mappings (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce.provider.symmetric

## Class RC6.Mappings

- java.lang.Object
- - org.bouncycastle.jcajce.provider.util.AlgorithmProvider
  - - org.bouncycastle.jcajce.provider.symmetric.RC6.Mappings

- Enclosing class:
    RC6

      public static class RC6.Mappings
      extends AlgorithmProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RC6.Mappings()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addGMacAlgorithm(ConfigurableProvider provider, java.lang.String algorithm, java.lang.String algorithmClassName, java.lang.String keyGeneratorClassName)`
    `protected void` | `addPoly1305Algorithm(ConfigurableProvider provider, java.lang.String algorithm, java.lang.String algorithmClassName, java.lang.String keyGeneratorClassName)`
    `void` | `configure(ConfigurableProvider provider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RC6.Mappings

          public RC6.Mappings()

  - ### Method Detail

    - #### configure

          public void configure(ConfigurableProvider provider)

      Specified by:
        `configure` in class `AlgorithmProvider`

    - #### addGMacAlgorithm

          protected void addGMacAlgorithm(ConfigurableProvider provider,
                              java.lang.String algorithm,
                              java.lang.String algorithmClassName,
                              java.lang.String keyGeneratorClassName)

    - #### addPoly1305Algorithm

          protected void addPoly1305Algorithm(ConfigurableProvider provider,
                                  java.lang.String algorithm,
                                  java.lang.String algorithmClassName,
                                  java.lang.String keyGeneratorClassName)